function ai()
    if nodeIndex == 0 then
        return
    end

  while true do
wait(0.5)
 beginCharge()
        shoot()
        wait(0.5)
        beginCharge()
  shoot()
        wait(0.5)
        beginCharge()
  shoot()
        wait(0.15)
        beginCharge()
  shoot()
        wait(0.5)
        beginCharge()
  shoot()
        wait(0.5)
        beginCharge()
  shoot()
	  beam()
    end
end


